{
    "doc": "This request maps to the body of `POST /callsets/search` as JSON.",
    "fields": [
        {
            "doc": "The VariantSet to search.",
            "name": "variantSetId",
            "type": "string"
        },
        {
            "default": null,
            "doc": "Only return call sets with this name (case-sensitive, exact match).",
            "name": "name",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "default": null,
            "doc": "Specifies the maximum number of results to return in a single page.\n  If unspecified, a system default will be used.",
            "name": "pageSize",
            "type": [
                "null",
                "int"
            ]
        },
        {
            "default": null,
            "doc": "The continuation token, which is used to page through large result sets.\n  To get the next page of results, set this parameter to the value of\n  `nextPageToken` from the previous response.",
            "name": "pageToken",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "SearchCallSetsRequest",
    "namespace": "org.ga4gh.methods",
    "type": "record"
}